#### Description:

This function removes a named entry from a KeyMap. It returns without action if the KeyMap does not contain the specified key.

#### Synopsis

void astMapRemove( AstKeyMap ∗this, const char ∗key )

#### Parameters:

##### this

Pointer to the KeyMap.

##### key

The character string identifying the value to be retrieved. Trailing spaces are ignored. The supplied string is converted to upper case before use if the KeyCase attribute is currently set to zero.
Copyright (C) 2021 East Asian Observatory